%define upstream_name    HTML-Display
%define upstream_version 0.40

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Use an OLE object to display HTML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTML::TokeParser::Simple)
BuildRequires: perl(LWP)
BuildRequires: perl(Test::Harness)
BuildRequires: perl(URI::URL)
BuildRequires: perl-parent
BuildArch: noarch


%description
This module abstracts the task of displaying HTML to the user. The
displaying is done by launching a browser and navigating it to either a
temporary file with the HTML stored in it, or, if possible, by pushing the
HTML directly into the browser window.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/HTML

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.400.0-6.mga6
+ Revision: 1028212
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.400.0-5.mga6
+ Revision: 947539
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.400.0-4.mga5
+ Revision: 739815
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.400.0-3.mga5
+ Revision: 684928
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.400.0-2.mga4
+ Revision: 537212
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.400.0-1.mga4
+ Revision: 486580
- update to 0.40

* Sun Jan 13 2013 umeabot <umeabot> 0.390.0-2.mga3
+ Revision: 367987
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.390.0-1.mga1
+ Revision: 32046
- mageia rebuild
- imported package perl-HTML-Display


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.390.0-1mdv2010.0
+ Revision: 402139
- rebuild using %%perl_convert_version

* Sun Jan 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.39-1mdv2009.1
+ Revision: 333472
- import perl-HTML-Display


* Sun Jan 25 2009 cpan2dist 0.39-1mdv
- initial mdv release, generated with cpan2dist

